Package twisted :: Package spread :: Module publish :: Class RemotePublished

[frames | no frames]

## Class RemotePublished

    Unjellyable --+
                  |
         RemoteCopy --+
                      |
      Jellyable --+   |
                  |   |
       Serializable --+
                      |
            RemoteCache --+
                          |
                         RemotePublished

The local representation of remote Publishable object.

Method Summary
| `__getstate__(self)`
| `_cbGotUpdate(self, newState)`
| ``activated`(self)` Implement this method if you want to be notified when your publishable subclass is activated.
| ``callWhenActivated`(self, callback)` Externally register for notification when this publishable has received all relevant data.
| `getFileName(self, ext)`
| ``setCopyableState`(self, state)` I will be invoked with the state to copy locally.
Inherited from RemoteCache
| ``__cmp__`(self, other)` Compare me [to another RemoteCache.
| ``__del__`(self)` Do distributed reference counting on finalize.
| ``__hash__`(self)` Hash me.
| ``jellyFor`(self, jellier)` serialize me (only for the broker I'm for) as the original cached reference
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received.
| ``unjellyFor`(self, unjellier, jellyList)`
Inherited from Unjellyable
| ``setStateFor`(self, unjellier, state)`
Inherited from Serializable
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process.
Inherited from Jellyable
| ``getStateFor`(self, jellier)`

Class Variable Summary
`int` | `_wasCleanWhenLoaded` = 0
`int` | `isActivated` = 0
Inherited from RemoteCache
`NoneType` | `broker` = None
`NoneType` | `luid` = None
Inherited from Unjellyable
`tuple` | `__implements__` = `(<class twisted.spread.interfaces.IUnje...`

Method Details

### activated(self)

Implement this method if you want to be notified when your publishable subclass is activated.

### callWhenActivated(self, callback)

Externally register for notification when this publishable has received all relevant data.

### setCopyableState(self, state)

I will be invoked with the state to copy locally.

'state' is the data returned from the remote object's 'getStateToCopyFor' method, which will often be the remote object's dictionary (or a filtered approximation of it depending on my peer's perspective).

  Overrides:
    `twisted.spread.flavors.RemoteCopy.setCopyableState` (inherited documentation)

Class Variable Details

### _wasCleanWhenLoaded

  Type:
    `int`
  Value:

        0

### isActivated

  Type:
    `int`
  Value:

        0

Generated by Epydoc 2.0 on Sat May 15 20:07:42 2004 | http://epydoc.sf.net